<script lang="ts">
import Vue, { PropType } from "vue";
import { SlpButton, SlpTypography } from "slippers-ui";

interface link {
  fields: {
    text: string;
    href: string;
    headerGa: Object;
  };
}
export default Vue.extend({
  components: {
    SlpButton,
    SlpTypography
  },
  props: {
    title: {
      type: String,
      required: false,
    },
    links: {
      type: Array as PropType<link[]>,
      required: false,
    },
  }
});
</script>

<template>
  <div class="nav-footer">
    <SlpTypography
      v-if="title"
      variant="body2-bold"
      class="slp-color-accent-500"
    >
      {{ title }}
    </SlpTypography>
    <div class="footer-button-container">
      <SlpButton
        v-for="link in links"
        :key="link.fields.text"
        variant="primary"
        :href="link.fields.href"
        v-bind="link.fields.headerGa"
        class="button"
      >
        <SlpTypography variant="body2-bold">
          {{ link.fields.text }}
        </SlpTypography>
      </SlpButton>
    </div>
  </div>
</template>

<style lang="scss" scoped>
.nav-footer {
  display: flex;
  padding: 32px;
  padding-top: 24px;
  flex-direction: column;
  background-color: $color-surface-800;
  gap: 24px;
  align-self: stretch;
}
.footer-button-container {
  display: grid;
  gap: 32px;
  background-color: $color-surface-800;
  grid-template-columns: repeat(3,1fr);
  @media (max-width: $breakpoint-lg) {
    grid-template-columns: 1fr;
  }
  .button {
    border-radius: 4px;
    background: $color-surface-900;
    border: none;
    justify-content: center;
    color: black;
    &:hover{
      border: none;

      background: $color-surface-950;
    }
  }
}
</style>